Package firefox-developer-edition-i18n-sk 67.0b12-1 (any) already flagged

firefox-developer-edition-i18n-sk has already been flagged out-of-date.

You can return to the package details page for firefox-developer-edition-i18n-sk.